Summary:	Sample Executables for OpenZWave
Name:		openzwave
Version:	1.6.1914
Release:	1
License:	LGPLv3+
Group:		Libraries
URL:		http://www.openzwave.net
#Source0:	https://github.com/OpenZWave/open-zwave/archive/%{version}.tar.gz
Source0:	http://old.openzwave.com/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	e7813329cc711ec8f2f99ea503c81d5d
Patch0:		gcc11.patch
BuildRequires:	doxygen
BuildRequires:	graphviz
BuildRequires:	hidapi-devel >= 0.8.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	systemd-devel
BuildRequires:	tinyxml-devel

%description
OpenZWave is an open-source, cross-platform library designed to enable
anyone to add support for Z-Wave home-automation devices to their
applications, without requiring any in depth knowledge of the Z-Wave
protocol.

%package -n libopenzwave
Summary:	Library to access Z-Wave interfaces

%description -n libopenzwave
OpenZWave is an open-source, cross-platform library designed to enable
anyone to add support for Z-Wave home-automation devices to their
applications, without requiring any in depth knowledge of the Z-Wave
protocol.

%package -n libopenzwave-devel
Summary:	Open-ZWave header files
Group:		Development/Libraries
Requires:	libopenzwave = %{version}-%{release}

%description -n libopenzwave-devel
Header files needed when you want to compile your own applications
using openzwave

%package -n libopenzwave-apidocs
Summary:	API documentation for Open-ZWave
Group:		Documentation
BuildArch:	noarch

%description -n libopenzwave-apidocs
API documentation for Open-ZWave.

%prep
%setup -q
%patch0 -p1

%build
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

CPPFLAGS="%{rpmcppflags} -Wformat -DOPENZWAVE_ENABLE_EXCEPTIONS" \
	USE_HID=1 \
	USE_BI_TXML=0 \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags} -pthread" \
	VERSION_MAJ=$major_ver \
	VERSION_MIN=$minor_ver \
	VERSION_REV=$revision \
	PREFIX=%{_prefix} \
	sysconfdir=%{_sysconfdir}/openzwave/ \
	includedir=%{_includedir} \
	docdir=%{_defaultdocdir}/openzwave-%{version} \
	instlibdir=%{_libdir} \
	%{__make}

%install
rm -rf $RPM_BUILD_ROOT
major_ver=$(echo %{version} | awk -F \. {'print $1'})
minor_ver=$(echo %{version} | awk -F \. {'print $2'})
revision=$(echo %{version} | awk -F \. {'print $3'})

install -d $RPM_BUILD_ROOT/%{_bindir}
install -d $RPM_BUILD_ROOT/%{_libdir}
install -d $RPM_BUILD_ROOT/%{_docdir}/openzwave-%{version}/
install -d $RPM_BUILD_ROOT/%{_sysconfdir}/
install -d $RPM_BUILD_ROOT/%{_includedir}/openzwave/

DESTDIR=$RPM_BUILD_ROOT \
	VERSION_MAJ=$major_ver \
	VERSION_MIN=$minor_ver \
	VERSION_REV=$revision \
	PREFIX=%{_prefix} \
	USE_HID=1 \
	USE_BI_TXML=0 \
	sysconfdir=%{_sysconfdir}/openzwave/ \
	includedir=%{_includedir}/openzwave/ \
	docdir=%{_docdir}/openzwave-%{version} \
	instlibdir=%{_libdir} \
	%{__make} install

rm $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/Doxyfile.in
rm -rf $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/html/
rm -rf $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/default.htm
rm -rf $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/general/
rm -rf $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/images+css/
rm -rf $RPM_BUILD_ROOT%{_docdir}/openzwave-%{version}/api/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libopenzwave -p /sbin/ldconfig
%postun -n libopenzwave -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/MinOZW

%files -n libopenzwave
%defattr(644,root,root,755)
%doc licenses/license.txt
%doc docs/default.htm docs/general/ docs/images+css/
%{_libdir}/libopenzwave.so.*
%dir %{_sysconfdir}/openzwave/
%config(noreplace) %{_sysconfdir}/openzwave/*

%files -n libopenzwave-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ozw_config
%{_includedir}/openzwave/
%{_libdir}/libopenzwave.so
%{_pkgconfigdir}/libopenzwave.pc

%files -n libopenzwave-apidocs
%defattr(644,root,root,755)
%doc docs/api
%changelog
* Tue Jan 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openzwave.git;a=log;h=master

* Tue Jan 24 2023 Jan Palus <atler@pld-linux.org> 3624ade
- move api documentation to -apidocs subpackage

* Mon Jan 23 2023 Jan Palus <atler@pld-linux.org> 2833bc9
- up to 1.6.1914

* Mon Jan 23 2023 Jan Palus <atler@pld-linux.org> 2718c11
- fix build with gcc >= 11

* Mon Jan 23 2023 Jan Palus <atler@pld-linux.org> 3d8f4c2
- drop commented out broken patches

* Mon May 25 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 37b0999
- up to 1.6.1133

* Fri Dec 06 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> a410e89
- up to 1.6.986

* Sun Jan 21 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b758c0
- initial; based on FC

